! cycle.cmd   Start from C
echo Enter cycle of comma parts for addition to a circulating temperament
echo Comma parts can be given as positive or negative ratios or floats.
echo enter the comma
copy/pitch ? 1
equal 12 1
echo enter comma part C-G
calc/noout -$1^?
%7 := $0
echo enter comma part G-D
calc/noout $0-$1^?
%2 := $0
echo enter comma part D-A
calc/noout $0-$1^?
%9 := $0
echo enter comma part A-E
calc/noout $0-$1^?
%4 := $0
echo enter comma part E-B
calc/noout $0-$1^?
%11 := $0
echo enter comma part B-F#
calc/noout $0-$1^?
%6 := $0
echo enter comma part F#-C#
calc/noout $0-$1^?
%1 := $0
echo enter comma part C#-G#
calc/noout $0-$1^?
%8 := $0
echo enter comma part G#-Eb
calc/noout $0-$1^?
%3 := $0
echo enter comma part Eb-Bb
calc/noout $0-$1^?
%10 := $0
echo enter comma part Bb-F
calc/noout $0-$1^?
%5 := $0
set maxdiff 0.002
echo enter prime limit
approx/constr/float ?
show scale
